> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Search Merchandizing Rules

> Retrieve a list of all search merchandizing rules. You can filter this query by CategoryCode, which supports an EQ (equals) filter with the syntax /catalog/admin/searchmerchandizingrules/?filter=categorycode eq AAA



## OpenAPI

````yaml /openapi/openapi_catalog_admin.json get /commerce/catalog/admin/searchmerchandizingrules
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CATALOG_ADMIN">
                <h2>CATALOG ADMINISTRATION</h2>
                <p>The Catalog Administration APIs are a collection of resources for configuring the catalogs and products offered to your shoppers, including
                    discounts and coupon sets, faceting, price lists, and different types or variations of products. See the
                    <a href="/concept-guides/catalog">Catalog user guides</a>
                    for information about the related features in the Unified Commerce Admin.</p>
                <p>Use the <strong>Attributes</strong> resource to manage localization and attribute configurations for your catalogs. This current version of the Attributes API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access attribute data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Categories</strong> resource to organize products and control where they appear on the storefront. Create
                    and maintain a hierarchy of categories and subcategories where the site will store properties. This current version of the Categories API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access category data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Coupon Sets</strong> resource to view and create coupon sets. You can use coupon sets to group multiple
                    coupon codes together and associate them with one or more discounts.</p>
                <p>Use the <strong>Currency</strong> resource to manage the currency localization rules and exchange rates for any of the
                    currencies that are supported for placing orders in.</p>
                <p>Use the <strong>Discounts</strong> and <strong>Discount Settings</strong> resources to define and manage discounts to apply to products, product categories, or
                    orders. This current version of the Discounts API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access discount data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Facets</strong> resource to manage the facets shoppers use to filter product display results on a
                    storefront. Facets can include categories, product attributes, or prices, and use either a range of
                    values or discrete values.</p>
                <p>Use the <strong>Master Catalog</strong> resource to view details of the master catalogs associated with a tenant and to
                    manage the product publishing mode for each master catalog.</p>
                <p>Use the <strong>Price Lists</strong> resources to view and create price lists. You can use price lists to override the
                    catalog pricing of products for specific customer segments and/or sites.</p>
                <p>Use the <strong>Products</strong>, <strong>Product Types/Extras/Options/Properties</strong>, and <strong>Product Sort Definitions</strong> resources to create new product definitions in the master catalog and determine which
                    catalogs will feature products. This current version of the Products API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access product data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1".</p>
                <p>Use the <strong>Publishing</strong> resource to publish pending product updates together as part of a set.</p>
                <p>Use the <strong>Search</strong> resource to manage all settings and options for providing product search on your site, as
                    well as search tuning rules.</p>
            </div>
  title: Catalog Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/admin/searchmerchandizingrules:
    get:
      tags:
        - SearchMerchandizingRule
      summary: Get Search Merchandizing Rules
      description: >-
        Retrieve a list of all search merchandizing rules. You can filter this
        query by CategoryCode, which supports an EQ (equals) filter with the
        syntax /catalog/admin/searchmerchandizingrules/?filter=categorycode eq
        AAA
      parameters:
        - in: query
          name: startIndex
          schema:
            default: 0
            format: int32
            type: integer
        - in: query
          name: pageSize
          schema:
            default: 0
            format: int32
            type: integer
        - in: query
          name: sortBy
          schema:
            type: string
        - in: query
          name: filter
          schema:
            type: string
        - in: query
          name: responseGroups
          schema:
            type: string
        - in: query
          name: q
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchMerchandizingRuleCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/SearchMerchandizingRuleCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/SearchMerchandizingRuleCollection'
          description: OK
components:
  schemas:
    SearchMerchandizingRuleCollection:
      properties:
        items:
          items:
            $ref: '#/components/schemas/CatalogAdminsSearchMerchandizingRule'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    CatalogAdminsSearchMerchandizingRule:
      description: Search Merchandizing Rule
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        code:
          description: Unique identifier. Will be generated if not provided.
          nullable: true
          type: string
        context:
          $ref: '#/components/schemas/CatalogAdminsSearchMerchandizingRuleContext'
        description:
          nullable: true
          type: string
        isDisabled:
          nullable: true
          type: boolean
        name:
          nullable: true
          type: string
        ruleImpact:
          $ref: '#/components/schemas/SearchMerchandizingRuleImpact'
        tags:
          items:
            type: string
          nullable: true
          type: array
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    CatalogAdminsSearchMerchandizingRuleContext:
      description: SearchMerchandizingRule Condition
      properties:
        condition:
          $ref: '#/components/schemas/CatalogAdminsSearchMerchandizingRuleCondition'
        endDate:
          description: Defaults to MAXDATE
          format: date-time
          nullable: true
          type: string
        searchType:
          $ref: '#/components/schemas/SearchType'
        startDate:
          description: StartDate
          format: date-time
          nullable: true
          type: string
      type: object
    SearchMerchandizingRuleImpact:
      description: SearchMerchandizingRule Condition
      properties:
        buriedItems:
          items:
            $ref: '#/components/schemas/SearchMerchandizingImpactItem'
          nullable: true
          type: array
        excludedItems:
          items:
            $ref: '#/components/schemas/SearchMerchandizingImpactItem'
          nullable: true
          type: array
        fieldValueBoost:
          $ref: '#/components/schemas/SearchMerchandizingFieldValueBoost'
        filter:
          $ref: '#/components/schemas/SearchMerchandizingFilter'
        rankedItems:
          items:
            $ref: '#/components/schemas/SearchMerchandizingImpactItem'
          nullable: true
          type: array
        sortFields:
          items:
            $ref: '#/components/schemas/SearchMerchandizingSortField'
          nullable: true
          type: array
      type: object
    CatalogAdminsSearchMerchandizingRuleCondition:
      description: SearchMerchandizingRule Condition
      properties:
        fields:
          items:
            $ref: '#/components/schemas/SearchMerchandizingRuleField'
          nullable: true
          type: array
        terms:
          items:
            type: string
          nullable: true
          type: array
      type: object
    SearchType:
      enum:
        - 1
        - 2
      format: int32
      type: integer
    SearchMerchandizingImpactItem:
      properties:
        isPinned:
          type: boolean
        position:
          format: int32
          type: integer
        productCode:
          nullable: true
          type: string
        sliceValue:
          nullable: true
          type: string
      type: object
    SearchMerchandizingFieldValueBoost:
      properties:
        boostType:
          $ref: '#/components/schemas/SearchMerchandizingBoostType'
        fields:
          items:
            $ref: '#/components/schemas/SearchMerchandizingBoostField'
          nullable: true
          type: array
      type: object
    SearchMerchandizingFilter:
      properties:
        exclusion:
          nullable: true
          type: string
        inclusion:
          nullable: true
          type: string
      type: object
    SearchMerchandizingSortField:
      properties:
        direction:
          nullable: true
          type: string
        propertyName:
          nullable: true
          type: string
      type: object
    SearchMerchandizingRuleField:
      properties:
        name:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
    SearchMerchandizingBoostType:
      enum:
        - 1
      format: int32
      type: integer
    SearchMerchandizingBoostField:
      properties:
        fieldName:
          nullable: true
          type: string
        valueExpressions:
          items:
            $ref: '#/components/schemas/SearchMerchandizingBoostValueExpression'
          nullable: true
          type: array
      type: object
    SearchMerchandizingBoostValueExpression:
      properties:
        boostNumber:
          format: int32
          type: integer
        operator:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````